{hostname ? "server"}: {...}: {
  networking.hostName = hostname;
  networking.hostId = "2ead098f";
  networking.networkmanager.enable = true;
  networking.firewall = {
    enable = true;
    allowedTCPPorts = [];
    allowedUDPPorts = [];
  };

  # Static ip
  networking.interfaces.enp2s0 = {
    ipv4.addresses = [
      {
        address = "10.0.201.83";
        prefixLength = 24;
      }
    ];
  };
  networking.defaultGateway = {
    address = "10.0.201.1";
    interface = "enp2s0";
  };

  security.acme = {
    acceptTerms = true;
    certs = {
      defaults.email = "admin@spoodythe.one";
    };
  };
}
